# 项目背景
这是一个基于RuoYi-Vue的共享电动车后台管理系统，主要用于管理车辆、用户、订单等信息。

# 主要框架
- Vue2
- Element-UI
- Axios
- Vuex
- Vue-Router

# 编码标准
- 变量和函数名使用 camelCase 规范，组件名使用 PascalCase
- 组件的样式使用 scoped 属性，避免样式污染
- 样式使用scss
- props、data、methods、computed、watch 生命周期函数等都使用驼峰命名
- 对于全局能够重复使用的组件，封装成组件，并放在 src/components 目录下
- 对于业务能够重复使用的组件，封装成组件，并放在 src/views/{模块名}/components 目录下
- 所有请求都需要在 src/api/bst/{模块名}.js 文件中定义，并保持统一的命名规范，使用时统一调用
- 优先封装成组件
- 生成的代码需要自动导入相关依赖，这点很重要
- 遵循阿里巴巴开发手册

# 项目结构
- src/api 目录下存放接口文件
- src/assets 目录下存放静态资源
- src/components 目录下存放全局组件
- src/views 目录下存放页面
- src/utils/index.js 文件下存放工具方法
- src/utils/constants.js 文件下存放常量
- src/views/bst 目录下存放业务相关页面
- src/views/system 目录下存放系统相关页面

# 文档规范
- 使用 JSDoc 格式编写函数和组件的注释
